<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/transport/list',
        newText: '新增物流',
        columns: [
          { label: '物流名称', prop: 'name' },
          { label: '英文名称', prop: 'enName' },
          { label: '联系人', prop: 'contacts' },
          { label: '联系方式', prop: 'contactsTel' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [{ label: '物流名称', id: 'name', type: 'input' }],
          },
        ],
        form: [
          {
            label: '物流名称：',
            id: 'name',
            type: 'input',
            rules: {
              required: true,
              message: '请输入物流名称',
              trigger: 'blur',
            },
          },
          {
            label: '英文名称：',
            id: 'enName',
            type: 'input',
          },
          {
            label: '联系人：',
            id: 'contacts',
            type: 'input',
          },
          {
            label: '联系方式：',
            id: 'contactsTel',
            type: 'input',
          },
        ],
        extraButtons: [
          {
            text: '运费配置',
            atClick: (row) => {
              this.$router.push(`${this.$route.path}/${row.id}`)
            },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '运费管理',
    }
  },
}
</script>
